<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Cart"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1c / June 2012 ==

*/

if (!defined('CPO')) exit;
?>

<script type="text/javascript"><!--

function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+200+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-200+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 

function openDialog(URL, name, width, height, parameters)
{
    // set some defaults if not given
    if (!name)   name   = '';
    if (!width)  width  = screen.width/2;
    if (!height) height = screen.height/2;
    if (!parameters) parameters = 'scrollbars=no, resizable=yes';

    xOffset = (screen.width  - width)/2;
    yOffset = (screen.height - height)/2;

    newwindow = window.open(URL, name, 'width='+width+', height='+height+', top='+yOffset+', left='+xOffset+', '+parameters);
    return newwindow;
}

//--> </script>


<?php

include(CPO_BASEDIR.'mod_cart/includes/actions.inc.php');

	printPageHeader(
		__('Cart'),
		__('In this view you can work on the settings of the cart module.'),
		modHelp('settings','cart'),
		true,
		'modules'
	);

require(CPO_BASEDIR."_include/message.php");

// ******** GENERAL SETTINGS ***************
		echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
		echo '<input type="hidden" name="go" value="1">';
		echo '<input type="hidden" name="list" value="options">';
 
		include(CPO_BASEDIR.'mod_cart/includes/license.inc.php');

if (!$cartbreak) {
// ******** FORM SETTINGS ***************
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Cart settings').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Sender adress:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoCartNew[sender]" value="'.$activeModules['cart']['sender'].'" />';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Recipient adress:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoCartNew[recipient]" value="'.$activeModules['cart']['recipient'].'" />';
            echo '</td>';
		echo '</tr>';

        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Select rubric to store customers:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[customers_rubric]" size="1">';
			$db->query('SELECT id, name, seclevel '
				.'FROM '.CPO_RUBRIC.' ORDER BY name ASC');
			while ($db->next_record()) {
				$sel = ($db->v('id')==$activeModules['cart']['customers_rubric']) ? ' selected="selected"' :'';
				echo '<option value="'.$db->v('id').'"'.$sel.'>'.$db->v('name').'</option>';
			}
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Select rubric to store orders:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[orders_rubric]" size="1">';
			$db->query('SELECT id, name, seclevel '
				.'FROM '.CPO_RUBRIC.' ORDER BY name ASC');
			while ($db->next_record()) {
				$sel = ($db->v('id')==$activeModules['cart']['orders_rubric']) ? ' selected="selected"' :'';
				echo '<option value="'.$db->v('id').'"'.$sel.'>'.$db->v('name').'</option>';
			}
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Select rubric to store texts:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[cart_text_rubric]" size="1">';
			$db->query('SELECT id, name, seclevel '
				.'FROM '.CPO_RUBRIC.' ORDER BY name ASC');
			while ($db->next_record()) {
				$sel = ($db->v('id')==$activeModules['cart']['cart_text_rubric']) ? ' selected="selected"' :'';
				echo '<option value="'.$db->v('id').'"'.$sel.'>'.$db->v('name').'</option>';
				$cartRubricNames[$db->v('id')] = $db->v('name');
			}
			echo '</select>';
            echo '</td>';
		echo '</tr>';

        
        
        
        
        
        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Calculate shipping:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[calcShipping]" size="1">';
			$selno = ($activeModules['cart']['calcShipping']=="no") ? ' selected="selected"' :'';
			$selyes = ($activeModules['cart']['calcShipping']=="yes") ? ' selected="selected"' :'';
			$selpsch = ($activeModules['cart']['calcShipping']=="psch") ? ' selected="selected"' :'';
			echo '<option value="no"'.$selno.'>'.__('no').'</option>';
			echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
			echo '<option value="psch"'.$selpsch.'>'.__('flat-rate').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Free shipping:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoCartNew[free_shipping]" value="'.$activeModules['cart']['free_shipping'].'" size="3" maxlength="10">';
            echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Flat-rate shipping:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoCartNew[estShipping]" value="'.$activeModules['cart']['estShipping'].'" size="3" maxlength="10">';
            echo '</td>';
		echo '</tr>';


		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Shipping rates:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 100px;" class="text inputwidth" name="cpoCartNew[shipping_rates]" id="shipping_rates">'.$activeModules['cart']['shipping_rates'].'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'shipping_rates\', this);return false" id="lnk">'.__('enlarge').'</a>';
            echo '<br />'.__('Syntax: Description;Weight[in gramms];Cost [LF]');
			echo '</td>';
		echo '</tr>';

        // numbers
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Currency unit:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoCartNew[currency]" value="'.$activeModules['cart']['currency'].'" size="3" maxlength="10">';
            echo '<br />'.sprintf(__('When changing the currency unit you have to go through the used templates and the cart texts in <em>%s</em>.<br />This setting is only used for some calculated values.'),$cartRubricNames[$activeModules['cart']['cart_text_rubric']]);
            echo '</td>';
		echo '</tr>';

        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Weight unit:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[weightUnit]" size="1">';
			$selg = ($activeModules['cart']['weightUnit']=="1#g") ? ' selected="selected"' :'';
			$selkg = ($activeModules['cart']['weightUnit']=="1000#kg") ? ' selected="selected"' :'';
			$sellb = ($activeModules['cart']['weightUnit']=="453#lb") ? ' selected="selected"' :'';
			echo '<option value="1#g"'.$selg.'>'.__('g [Gramms] (1g)').'</option>';
			echo '<option value="1000#kg"'.$selkg.'>'.__('kg [KiloGramms] (1000g)').'</option>';
			echo '<option value="453#lb"'.$sellb.'>'.__('lb [Pounds] (453g)').'</option>';
			echo '</select>';
            echo '<br />'.sprintf(__('When changing the weight unit you have to go through the used templates and the cart texts in <em>%s</em>.<br />This setting is only used for some calculated values.'),$cartRubricNames[$activeModules['cart']['cart_text_rubric']]);
            echo '</td>';
		echo '</tr>';

        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Decimal mark:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[decimal]" size="1">';
			$selkomma = ($activeModules['cart']['decimal']=="komma") ? ' selected="selected"' :'';
			$selpunkt = ($activeModules['cart']['decimal']=="punkt") ? ' selected="selected"' :'';
			echo '<option value="komma"'.$selkomma.'>'.__('Comma (1.000,00)').'</option>';
			echo '<option value="punkt"'.$selpunkt.'>'.__('Point (1,000.00)').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';

        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Shipping costs taxing:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[shippingTax]" size="1">';
			$selnone = ($activeModules['cart']['shippingTax']=="none") ? ' selected="selected"' :'';
			$selmain = ($activeModules['cart']['shippingTax']=="main") ? ' selected="selected"' :'';
			$selrelvalue = ($activeModules['cart']['shippingTax']=="relvalue") ? ' selected="selected"' :'';
			$selrelweight = ($activeModules['cart']['shippingTax']=="relweight") ? ' selected="selected"' :'';
			$selrelcount = ($activeModules['cart']['shippingTax']=="relcount") ? ' selected="selected"' :'';
			echo '<option value="none"'.$selnone.'>'.__('none').'</option>';
			echo '<option value="main"'.$selmain.'>'.__('Tax rate of the main service').'</option>';
			echo '<option value="relvalue"'.$selrelvalue.'>'.__('Proportion to net').'</option>';
			echo '<option value="relweight"'.$selrelweight.'>'.__('Proportion to weight').'</option>';
			echo '<option value="relcount"'.$selrelcount.'>'.__('Proportion to number').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';

        

		// templates
        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Select customer template:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[customer_template]" size="1">';
			$db->query('SELECT id, name '
				.'FROM '.CPO_TEMPLATES.' ORDER BY name ASC');
			while ($db->next_record()) {
				$sel = ($db->v('id')==$activeModules['cart']['customer_template']) ? ' selected="selected"' :'';
				echo '<option value="'.$db->v('id').'"'.$sel.'>'.$db->v('name').'</option>';
			}
			echo '</select><br />';
            echo '</td>';
		echo '</tr>';
        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Select cart row template:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[cartrow_template]" size="1">';
			$db->query('SELECT id, name '
				.'FROM '.CPO_TEMPLATES.' ORDER BY name ASC');
			while ($db->next_record()) {
				$sel = ($db->v('id')==$activeModules['cart']['cartrow_template']) ? ' selected="selected"' :'';
				echo '<option value="'.$db->v('id').'"'.$sel.'>'.$db->v('name').'</option>';
			}
			echo '</select><br />';
            echo '</td>';
		echo '</tr>';
        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Select checkout template:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[checkout_template]" size="1">';
			$db->query('SELECT id, name '
				.'FROM '.CPO_TEMPLATES.' ORDER BY name ASC');
			while ($db->next_record()) {
				$sel = ($db->v('id')==$activeModules['cart']['checkout_template']) ? ' selected="selected"' :'';
				echo '<option value="'.$db->v('id').'"'.$sel.'>'.$db->v('name').'</option>';
			}
			echo '</select><br />';
            echo '</td>';
		echo '</tr>';


        
        
        
        
        // page_templates
        $query = 'SELECT id, name FROM '.CPO_PAGETEMPLATES.' '
                .'ORDER BY name';
        $db->query($query);
        $_pagetemplates = array();
        while ($db->next_record()) {
            $_pagetemplates[$db->v('id')] = $db->v('name');
        }

        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Cart page-template:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[pagetemplate_cart]" size="1">';
			echo '<option value="-2"'
				.($activeModules['cart']['pagetemplate_cart']==-2 ? ' selected' : '')
				.'>--- '.__('act like enclosing rubric').' ---</option>';
			echo '<option value="0"'
				.($activeModules['cart']['pagetemplate_cart']==0 ? ' selected' : '')
				.'>--- '.___('Use header and footer files').' ---</option>';
			foreach ($_pagetemplates as $k=>$v) {
				echo '<option value="'.htmlspecialchars($k).'"'
					.($activeModules['cart']['pagetemplate_cart']==$k ? ' selected' : '')
					.'>'.htmlspecialchars($v).'</option>';
			}
			echo '</select>';
            echo '</td>';
		echo '</tr>';
        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Billing page-template:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[pagetemplate_billing]" size="1">';
			echo '<option value="-2"'
				.($activeModules['cart']['pagetemplate_billing']==-2 ? ' selected' : '')
				.'>--- '.__('act like enclosing rubric').' ---</option>';
			echo '<option value="0"'
				.($activeModules['cart']['pagetemplate_billing']==0 ? ' selected' : '')
				.'>--- '.___('Use header and footer files').' ---</option>';
			foreach ($_pagetemplates as $k=>$v) {
				echo '<option value="'.htmlspecialchars($k).'"'
					.($activeModules['cart']['pagetemplate_billing']==$k ? ' selected' : '')
					.'>'.htmlspecialchars($v).'</option>';
			}
			echo '</select>';
            echo '</td>';
		echo '</tr>';
        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Shipping page-template:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[pagetemplate_shipping]" size="1">';
			echo '<option value="-2"'
				.($activeModules['cart']['pagetemplate_shipping']==-2 ? ' selected' : '')
				.'>--- '.__('act like enclosing rubric').' ---</option>';
			echo '<option value="0"'
				.($activeModules['cart']['pagetemplate_shipping']==0 ? ' selected' : '')
				.'>--- '.___('Use header and footer files').' ---</option>';
			foreach ($_pagetemplates as $k=>$v) {
				echo '<option value="'.htmlspecialchars($k).'"'
					.($activeModules['cart']['pagetemplate_shipping']==$k ? ' selected' : '')
					.'>'.htmlspecialchars($v).'</option>';
			}
			echo '</select>';
            echo '</td>';
		echo '</tr>';
        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Checkout page-template:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[pagetemplate_checkout]" size="1">';
			echo '<option value="-2"'
				.($activeModules['cart']['pagetemplate_checkout']==-2 ? ' selected' : '')
				.'>--- '.__('act like enclosing rubric').' ---</option>';
			echo '<option value="0"'
				.($activeModules['cart']['pagetemplate_checkout']==0 ? ' selected' : '')
				.'>--- '.___('Use header and footer files').' ---</option>';
			foreach ($_pagetemplates as $k=>$v) {
				echo '<option value="'.htmlspecialchars($k).'"'
					.($activeModules['cart']['pagetemplate_checkout']==$k ? ' selected' : '')
					.'>'.htmlspecialchars($v).'</option>';
			}
			echo '</select>';
            echo '</td>';
		echo '</tr>';
        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Confirmation page-template:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoCartNew[pagetemplate_confirmation]" size="1">';
			echo '<option value="-2"'
				.($activeModules['cart']['pagetemplate_confirmation']==-2 ? ' selected' : '')
				.'>--- '.__('act like enclosing rubric').' ---</option>';
			echo '<option value="0"'
				.($activeModules['cart']['pagetemplate_confirmation']==0 ? ' selected' : '')
				.'>--- '.___('Use header and footer files').' ---</option>';
			foreach ($_pagetemplates as $k=>$v) {
				echo '<option value="'.htmlspecialchars($k).'"'
					.($activeModules['cart']['pagetemplate_confirmation']==$k ? ' selected' : '')
					.'>'.htmlspecialchars($v).'</option>';
			}
			echo '</select>';
            echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Form module directory:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoCartNew[form_directory]" value="'.$activeModules['cart']['form_directory'].'" size="20" maxlength="30" />';
            echo '</td>';
		echo '</tr>';
        
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Placeholder item number:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoCartNew[ph_item]" value="'.$activeModules['cart']['ph_item'].'" size="20" maxlength="50" />';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Placeholder weight:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoCartNew[ph_weight]" value="'.$activeModules['cart']['ph_weight'].'" size="20" maxlength="50" />';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Placeholder tax rate:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoCartNew[ph_tax]" value="'.$activeModules['cart']['ph_tax'].'" size="20" maxlength="50" />';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Placeholder price:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoCartNew[ph_price]" value="'.$activeModules['cart']['ph_price'].'" size="20" maxlength="50" />';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Placeholder maximum count:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoCartNew[ph_max]" value="'.$activeModules['cart']['ph_max'].'" size="20" maxlength="50" />';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Option placeholders:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoCartNew[ph_options]" value="'.$activeModules['cart']['ph_options'].'" />';
            echo '<br />'.__('Syntax: List the option placeholder names divided by semicolon (;).');
            echo '</td>';
		echo '</tr>';
        
		// frontend templates
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Refresh button template:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 50px;" class="text inputwidth" name="cpoCartNew[button_refresh]" id="button_refresh">'.$activeModules['cart']['button_refresh'].'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'button_refresh\', this);return false" id="lnk">'.__('enlarge').'</a>';
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Delete button template:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 50px;" class="text inputwidth" name="cpoCartNew[button_delete]" id="button_delete">'.$activeModules['cart']['button_delete'].'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'button_delete\', this);return false" id="lnk">'.__('enlarge').'</a>';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('CSS Sheet:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoCartNew[css_sheet]" value="'.$activeModules['cart']['css_sheet'].'" />';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Billdata form texts:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 150px;" class="text inputwidth" name="cpoCartNew[billdata_form]" id="billdata_form">'.$activeModules['cart']['billdata_form'].'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'billdata_form\', this);return false" id="lnk">'.__('enlarge').'</a>';
            echo '<br />'.__('Syntax: Value: Displayed text [LF]');
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Checkout form texts:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 150px;" class="text inputwidth" name="cpoCartNew[checkout_form]" id="checkout_form">'.$activeModules['cart']['checkout_form'].'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'checkout_form\', this);return false" id="lnk">'.__('enlarge').'</a>';
            echo '<br />'.__('Syntax: Value: Displayed text [LF]');
			echo '</td>';
		echo '</tr>';



        // submit button
		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
		echo '</tr>';
		echo '</tbody></table>';


// ******** EOF ***************
}
		echo '</form>';



?>
