<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Form"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1c / June 2012 ==

*/

?>

<table class="colored" style="width: 100%"><thead>
        <tr>
            <th colspan="2"><span><?php echo __('License'); ?></span></th>
        </tr>
    </thead><tbody>
        <tr>
            <td class="leftrow"><?php echo htmlspecialchars(__('License type:')); ?></div></td>
            <td class="rightrow">
                <?php
                switch (license($activeModules['cart']['lkey'],$activeModules['cart']['mod_id'])) {
                case 1:
                    echo htmlspecialchars(__('commercial license'));
                    break;
                case 2:
                    echo htmlspecialchars(__('non commercial license'));
                    break;
                case 3: 
                    echo htmlspecialchars(__('test license'));
                    break;
                case 4:
                    echo htmlspecialchars(__('expired test license'));
                    break;
                case 5:
                    echo htmlspecialchars(__('school license'));
                    break;
                case false:
                    echo htmlspecialchars(__('unregistered version'));
                    break;
                default:
                    echo htmlspecialchars(__('unknown license type'));
                }
                ?><br />
            </td>
        </tr><tr>
            <td class="leftrow"><?php echo __('Licensee:'); ?></td>
            <td class="rightrow">
                <input type="text" class="text inputwidth" name="cpoCartNew[owner]" value="<?php print(htmlspecialchars($activeModules['cart']['owner'])); ?>" size="35" maxlength="255">
            </td>
        </tr><tr>
            <td><?php echo __('License key:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoCartNew[lkey]" value="<?php print(htmlspecialchars($activeModules['cart']['lkey'])); ?>" size="35" maxlength="255">
            </td>
        </tr><tr>
            <td><?php echo __('Used product version:'); ?></td>
            <td>
                <?php print(htmlspecialchars($MOD['version'])); ?> installed on <?php print(date("F j, Y, g:i a",$activeModules['cart']['installed'])); ?>
            </td>
        </tr><tr>
            <td>&nbsp;</td>
            <td>
                <input type="submit" class="button" name="lizence" value="<?php echo __('Save module settings'); ?>">
            </td>
        </tr>
    </tbody></table>
