<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3c / June 2012 ===

*/

if (!defined('CPO')) exit;

global $_type, $fetchedcontent, $db_nr, $db_titel, $db_content, $content, $activeModules;

$weightUnitOpt = explode('#',$activeModules['cart']['weightUnit']);
$weightUnit = $weightUnitOpt[1];
$weightFactor = (int)$weightUnitOpt[0];

/*
$activeModules['cart']['cart_button_template'] = '<div>Anzahl: %1$s<br /><input type="submit" value="In den Warenkorb" class="cart_submit"/><br />Im Warenkorb: %2$s Stk.</div>'; // SETTINGS
$activeModules['cart']['button_delete'] = '<a href="%s">[x]</a>'; // SETTINGS
$activeModules['cart']['button_refresh'] = '<a href="%s">[r]</a>'; // SETTINGS
*/
// $directory = $_type;

$cart=$_COOKIE['shop'];
if (is_array($cart))  {
	foreach ($cart AS $id=>$item)  {
		if (is_numeric($id)) {
			$itemData = explode("|", $item);
			$cartcount += (int)$itemData[5];
			$cartval += (int)$itemData[5]*(float)$itemData[4];
			$cartweight += (int)$itemData[5]*(float)$itemData[2];
			$itemIDs[$id]=$id;
			$itemOrd[$id]=$itemData[0];
			$itemTit[$id]=$itemData[1];
			$itemWgh[$id]=(float)$itemData[2];
			$itemTax[$id]=(float)$itemData[3];
			$itemVal[$id]=(float)$itemData[4];
			$itemNum[$id]=(int)$itemData[5];
			$itemOpt[$id]=$itemData[6];
		}
	}
}

// Parser-Array
if ($itemOpt[$db_nr])  {
	$content['Options (cart)'] = array(
		'type'		=>'cart',
		'name'		=>'Options',
		'content'	=>$itemOpt[$db_nr]
	);
}
$content['Count (cart)'] = array(
	'type'		=>'cart',
	'name'		=>'Count',
	'content'	=>($itemNum[$db_nr])?$itemNum[$db_nr]:0
);
$content['Value (cart)'] = array(
	'type'		=>'cart',
	'name'		=>'Value',
	'content'	=>'<span class="cartprice_'.$db_nr.'">'.locZahl($itemVal[$db_nr]).'</span>'
);
$content['Total (cart)'] = array(
	'type'		=>'cart',
	'name'		=>'Total',
	'value'		=>$itemNum[$db_nr]*$itemVal[$db_nr],
	'content'	=>locZahl($itemNum[$db_nr]*$itemVal[$db_nr])
);
$content['TotalNetto (cart)'] = array(
	'type'		=>'cart',
	'name'		=>'TotalNetto',
	'value'		=>$itemNum[$db_nr]*$itemVal[$db_nr]/(1+$itemTax[$db_nr]),
	'content'	=>locZahl($itemNum[$db_nr]*$itemVal[$db_nr]/(1+$itemTax[$db_nr]))
);
$content['Netto (cart)'] = array(
	'type'		=>'cart',
	'name'		=>'TotalNetto',
	'value'		=>$itemVal[$db_nr]/(1+$itemTax[$db_nr]),
	'content'	=>locZahl($itemVal[$db_nr]/(1+$itemTax[$db_nr]))
);

// hier holen wir alle Werte, die wir noch so brauchen...
$db_cart = new DB;
$query = sprintf("SELECT fieldname, text FROM ".CPO_CONTENT_TEXT." "
   ."WHERE article_id='%d'", $db_nr);
DEBUG(1, $query, __FILE__, __LINE__); 
$db_cart->query($query);

while ($db_cart->next_record()) {
	$cartOptionPHs = explode(";",$activeModules['cart']['ph_options']);
	foreach ($cartOptionPHs AS $cartOptionPH)  {
		if ($db_cart->v('fieldname') != $cartOptionPH) continue;
		$content[$cartOptionPH.' (cart)'] = array(
			'type'   =>'cart',
			'name'   =>$cartOptionPH,
			'content'   =>$db_cart->v('text')
		);
	}
	switch ($db_cart->v('fieldname')) {
		case $activeModules['cart']['ph_weight']:
			$content['Weight (cart)'] = array(
				'type'   =>'cart',
				'name'   =>'Weight',
				'value'   =>$db_cart->v('text'),
				'content'   =>locZahl($db_cart->v('text')/$weightFactor)
			);
			$content['TotalWeight (cart)'] = array(
				'type'   =>'cart',
				'name'   =>'TotalWeight',
				'value'   =>($db_cart->v('text')*$itemNum[$db_nr])/$weightFactor,
				'content'   =>locZahl(($db_cart->v('text')*$itemNum[$db_nr])/$weightFactor)
			);
		break;
		case $activeModules['cart']['ph_tax']:
			$content['Tax (cart)'] = array(
				'type'   =>'cart',
				'name'   =>'Tax',
				'content'   =>$db_cart->v('text')
			);
		break;
		case $activeModules['cart']['ph_price']:
			$content['Price (cart)'] = array(
				'type'   =>'cart',
				'name'   =>'Price',
				'value'   =>$db_cart->v('text'),
				'content'   =>'<span class="cartprice_'.$db_nr.'">'.locZahl($db_cart->v('text')).'</span>'
			);
			$content['NumValue (cart)'] = array(
				'type'		=>'cart',
				'name'		=>'NumValue',
				'content'	=>$db_cart->v('text')
			);
		break;
		case $activeModules['cart']['ph_max']:
			$content['Max (cart)'] = array(
				'type'   =>'cart',
				'name'   =>'Max',
				'content'   =>$db_cart->v('text')
			);
		break;
		case $activeModules['cart']['ph_item']:
			$content['Item (cart)'] = array(
				'type'   =>'cart',
				'name'   =>'Item',
				'content'   =>$db_cart->v('text')
			);
		break;
		default:
		break;
	}
}



// der Warenkorb-Button
if ($content['Max (cart)']['content'])  {
	$countString = '<select size="1" name="pcs" class="cart_select">';
	for ($n=1;$n<=(int)$content['Max (cart)']['content'];$n++)  $countString .= '<option value="'.$n.'"'.($itemNum[$db_nr]==$n ? ' selected="selected"' : '').'>'.$n.'</option>';
	$countString .= '</select>';
} else {
	$countString = '<input type="text" name="pcs" value="'.($itemNum[$db_nr] ? $itemNum[$db_nr] : 1).'" size="3" maxlength="5" class="cart_input"/>';
}
$content['Input (cart)'] = array(
	'type'   =>'cart',
	'name'   =>'Input',
	'content'   =>$countString
);

if ($activeModules['cart']['ph_options'])  {
	$cartOptionPHs = explode(";",$activeModules['cart']['ph_options']);
	$optString = '<table class="cartOptions" cellpadding="0" cellspacing="0" border="0">';
	foreach ($cartOptionPHs AS $cartOptionPH)  {
		if (trim($content[trim($cartOptionPH).' (cart)']['content']) == '' || !isset ($content[trim($cartOptionPH).' (cart)']['content'])) continue;
		$optString .= '<tr><td>'.trim($cartOptionPH).':</td><td><select name="options['.trim($cartOptionPH).']" onchange="javascript:updateValues('.$db_nr.');">';
		$options = explode("\n",$content[trim($cartOptionPH).' (cart)']['content']);
		foreach ($options AS $option) {
			if (trim($option) == '') continue;
			if (strpos($option,'###') === false) $option = trim($option).'###0';
			$optPart = explode('###',$option);
			$aufpreis = ($optPart[1]) ? ' [ +'.locZahl($optPart[1]).' '.$activeModules['cart']['currency'].' ]' : '';
			$optString .= '<option value="'.trim($cartOptionPH).': '.$option.'">'.$optPart[0].$aufpreis.'</option>';
		}
		$optString .= trim($cartOptionPH).'</select></td></tr>';

	}
	$optString .= '</table>';
} else {
	$optString = '';
}


//$buttonString = $optString.sprintf($cart_button_template,
//							$countString,
//							'<span class="shop_cart_count_'.$db_nr.'">'.(($itemNum[$db_nr])?$itemNum[$db_nr]:0).'</span>',
//							'javascript:deleteCartItem('.$db_nr.');'
//							);

$cart_replace = array();
$cart_with = array();
// create placeholders with span to make them changeable
$cart_replace[] = '### CART_pcs ###'; $cart_with[] = $countString; // input or select
$cart_replace[] = '### CART_count ###'; $cart_with[] = '<span class="shop_cart_count_'.$db_nr.'">'.(($itemNum[$db_nr])?$itemNum[$db_nr]:0).'</span>'; 
$cart_replace[] = '### CART_js_delete ###'; $cart_with[] = 'deleteCartItem('.$db_nr.');'; 

$cart_button_template = getCartHtml('CartButton');
$buttonString = $optString . str_replace($cart_replace,$cart_with,$cart_button_template);

$content['Button (cart)'] = array(
	'type'		=>'cart',
	'name'		=>'Button',
	'content'	=>'<!-- Start Cart-Button #### --><div id="shop_buy_button_'.$db_nr.'"><div class="cart_button" id="shop_cart_button_'.$db_nr.'"><form style="display:inline;" name="buy_'.$db_nr.'" action="javascript:updateValues('.$db_nr.');purchase('.$db_nr.',\''.$content['Item (cart)']['content'].'\',\''.$db_titel.'\','.$content['Weight (cart)']['value'].','.$content['Tax (cart)']['content'].',document.buy_'.$db_nr.'.price.value,document.buy_'.$db_nr.'.pcs.value,document.buy_'.$db_nr.'.options.value);"><input type="hidden" id="baseprice'.$db_nr.'" name="baseprice" value="'.$content['NumValue (cart)']['content'].'" /><input type="hidden" id="price'.$db_nr.'" name="price" value="'.$content['NumValue (cart)']['content'].'" /><input type="hidden" id="options'.$db_nr.'" name="options" value="" />'.$buttonString.'</form></div></div><!-- #### End Cart-Button -->'
);


$content['DeleteItem (cart)'] = array(
	'type'		=>'cart',
	'name'		=>'DeleteItem',
	'content'	=>sprintf($activeModules['cart']['button_delete'], 'javascript:deleteCartItem('.$db_nr.');')
);
$content['RefreshCart (cart)'] = array(
	'type'		=>'cart',
	'name'		=>'RefreshCart',
	'content'	=>sprintf($activeModules['cart']['button_refresh'], "javascript:purchase(".$itemIDs[$db_nr].",'".$itemOrd[$db_nr]."','".$itemTit[$db_nr]."',".$itemWgh[$db_nr].",".$itemTax[$db_nr].",".$itemVal[$db_nr].",document.cart_item_".$db_nr.".pcs.value,'".$itemOpt[$db_nr]."');")
);


?>
