<?php

// Template Setup

if (!defined('CPO')) exit;

// STEP 1. install templates
$cart_template_ids = array();

$filenames = array(
	'article_template'	=> 'Template.[CART] Article.sql.txt',
	'cartrow_template'	=> 'Template.[CART] Cart row.sql.txt',
	'checkout_template' => 'Template.[CART] Checkout form.sql.txt',
	'html_template'		=> 'Template.[CART] HTML.sql.txt',
	'customer_template'	=>'Template.[CART] Customer form.sql.txt',
	'page_template2'	=> 'PageTemplate.CART Page 2.sql.txt',
	'page_template'		=> 'PageTemplate.CART Page 1.sql.txt'
	);



foreach ($filenames AS $template_key => $filename)  {
	$sqllines = file(CPO_BASEDIR.'mod_cart/templates/'.$filename);

	$dbm = new DB;
	$template_id = 0;
	// Durchgehen des Arrays und Anzeigen des HTML-Quelltexts inkl. Zeilennummern
	foreach ($sqllines as $sqlline_num => $sqlline) {
		if (strpos($sqlline,'###CPO_TEMPLATES_CTIME###') !== false) $sqlline = str_replace('###CPO_TEMPLATES_CTIME###',date('Y-m-d H:i:s'),$sqlline);
		if (strpos($sqlline,'###CPO_TEMPLATES_CHANGER###') !== false) $sqlline = str_replace('###CPO_TEMPLATES_CHANGER###',addslashes($_SESSION['SID_login']).' [mod_cart SETUP]',$sqlline);
		if (strpos($sqlline,'###CPO_TEMPLATES###') !== false) {
			$sqlline = str_replace('###CPO_TEMPLATES###',$dbPrefix.'_templates',$sqlline);
			$dbm->query($sqlline);
			// anschlieend die Nummer des Templates ermiteln
			$query = 'SELECT last_insert_id()';
			$dbm->query($query); 
			$dbm->next_record();
			$template_id = $dbm->v('last_insert_id()');
			continue;
		}
		// Pagetemplates
		if (strpos($sqlline,'###CPO_PAGETEMPLATES_USERID###') !== false) $sqlline = str_replace('###CPO_PAGETEMPLATES_USERID###',addslashes($_SESSION['SID_user']['id']),$sqlline);
		if (strpos($sqlline,'###CPO_PAGETEMPLATES_SAVED###') !== false) $sqlline = str_replace('###CPO_PAGETEMPLATES_SAVED###',date('Y-m-d H:i:s'),$sqlline);
		if (strpos($sqlline,'###CPO_PAGETEMPLATES###') !== false) {
			$sqlline = str_replace('###CPO_PAGETEMPLATES###',$dbPrefix.'_pagetemplates',$sqlline);
			$dbm->query($sqlline);
			// anschlieend die Nummer des Templates ermiteln
			$query = 'SELECT last_insert_id()';
			$dbm->query($query); 
			$dbm->next_record();
			$template_id = $dbm->v('last_insert_id()');
			continue;
		}
		// Placeholders
		if (strpos($sqlline,'###CPO_PLACEHOLDERS###') !== false) $sqlline = str_replace('###CPO_PLACEHOLDERS###',$dbPrefix.'_placeholders',$sqlline);
		if (strpos($sqlline,'###CPO_TEMPLATES_ID###') !== false) $sqlline = str_replace('###CPO_TEMPLATES_ID###',$template_id,$sqlline);
		$dbm->query($sqlline);
	}
	$cart_template_ids[$template_key] = $template_id;
	if ($template_key=='page_template')  {
		$GLOBALS['modules']['cart']['pagetemplate_cart'] = $template_id;
		$GLOBALS['modules']['cart']['pagetemplate_billing'] = $template_id;
		$GLOBALS['modules']['cart']['pagetemplate_shipping'] = $template_id;
		$GLOBALS['modules']['cart']['pagetemplate_checkout'] = $template_id;
		$GLOBALS['modules']['cart']['pagetemplate_confirmation'] = $template_id;
	} else if ($template_key=='page_template2')  {
		// nothing, just install
	} else {
		$GLOBALS['modules']['cart'][$template_key] = $template_id;
	}
	$GLOBALS['message'][] = sprintf(__('The template file <em>%s</em> was saved as a new template.'),$filename);
}


//print_r($cart_template_ids);
//print_r($GLOBALS['modules']['cart']);

// STEP 2: create cart rubrics & save to settings

//[CART] Customers
$query= "INSERT INTO ".$dbPrefix."_rubric (directory, name, seclevel, source_rubric_id, settings) VALUES('_rubric', '[CART] Customers', 2, 0, '"
	.'a:26:{s:17:"disableRubricText";s:0:"";s:5:"title";s:16:"[CART] Customers";s:15:"metaDescription";s:52:"In dieser Rubrik werden die Kundenkonten gespeichert";s:12:"metaKeywords";s:0:"";s:15:"noArticlesFound";s:23:"Keine Artikel gefunden.";s:12:"noOfArticles";s:2:"10";s:10:"newSorting";a:1:{i:0;s:14:"pub_datum DESC";}s:18:"pagetemplate_index";s:1:"0";s:19:"pagetemplate_detail";s:1:"0";s:17:"standard_template";s:'.strlen($GLOBALS['modules']['cart']['customer_template']).':"'.$GLOBALS['modules']['cart']['customer_template'].'";s:8:"language";s:7:"deutsch";s:11:"date_format";s:0:"";s:16:"articleSeparator";s:0:"";s:14:"pager_previous";s:0:"";s:10:"pager_next";s:0:"";s:11:"pager_found";s:0:"";s:13:"pager_results";s:0:"";s:15:"showArchiveText";s:6:"Archiv";s:7:"sorting";s:14:"pub_datum DESC";s:10:"edit_index";b:0;s:11:"showArchive";b:0;s:13:"disableRubric";b:0;s:11:"edit_author";b:0;s:10:"edit_email";b:0;s:12:"edit_initial";b:0;s:17:"pager_showresults";b:0;}'
	."')";
$dbm->query($query); 
$query = 'SELECT last_insert_id()';
$dbm->query($query); 
$dbm->next_record();
$GLOBALS['modules']['cart']['customers_rubric'] = $dbm->v('last_insert_id()');
$GLOBALS['message'][] = sprintf(__('The cart rubric <em>%s</em> was created.'),'[CART] Customers');

//[CART] Orders
$query= "INSERT INTO ".$dbPrefix."_rubric (directory, name, seclevel, source_rubric_id, settings) VALUES('_rubric', '[CART] Orders', 2, 0, '"
	.'a:26:{s:17:"disableRubricText";s:0:"";s:5:"title";s:13:"[CART] Orders";s:15:"metaDescription";s:121:"In dieser Rubrik werden die Bestellungen der gespeicherten Kunden gespeichert, um eine Bestellhistorie anzeigen zu knnen";s:12:"metaKeywords";s:0:"";s:15:"noArticlesFound";s:23:"Keine Artikel gefunden.";s:12:"noOfArticles";s:2:"10";s:10:"newSorting";a:1:{i:0;s:14:"pub_datum DESC";}s:18:"pagetemplate_index";s:1:"0";s:19:"pagetemplate_detail";s:1:"0";s:17:"standard_template";s:'.strlen($GLOBALS['modules']['cart']['checkout_template']).':"'.$GLOBALS['modules']['cart']['checkout_template'].'";s:8:"language";s:7:"deutsch";s:11:"date_format";s:0:"";s:16:"articleSeparator";s:0:"";s:14:"pager_previous";s:0:"";s:10:"pager_next";s:0:"";s:11:"pager_found";s:0:"";s:13:"pager_results";s:0:"";s:15:"showArchiveText";s:6:"Archiv";s:7:"sorting";s:14:"pub_datum DESC";s:10:"edit_index";b:0;s:11:"showArchive";b:0;s:13:"disableRubric";b:0;s:11:"edit_author";b:0;s:10:"edit_email";b:0;s:12:"edit_initial";b:0;s:17:"pager_showresults";b:0;}'
	."')";
$dbm->query($query); 
$query = 'SELECT last_insert_id()';
$dbm->query($query); 
$dbm->next_record();
$GLOBALS['modules']['cart']['orders_rubric'] = $dbm->v('last_insert_id()');
$GLOBALS['message'][] = sprintf(__('The cart rubric <em>%s</em> was created.'),'[CART] Orders');

//[CART] HTML
$query= "INSERT INTO ".$dbPrefix."_rubric (directory, name, seclevel, source_rubric_id, settings) VALUES('_rubric', '[CART] HTML', 2, 0, '"
	.'a:26:{s:17:"disableRubricText";s:0:"";s:5:"title";s:11:"[CART] HTML";s:15:"metaDescription";s:67:"In dieser Rubrik werden die editierbaren Warenkorbtexte gespeichert";s:12:"metaKeywords";s:0:"";s:15:"noArticlesFound";s:23:"Keine Artikel gefunden.";s:12:"noOfArticles";s:2:"10";s:10:"newSorting";a:1:{i:0;s:9:"titel ASC";}s:18:"pagetemplate_index";s:1:"0";s:19:"pagetemplate_detail";s:1:"0";s:17:"standard_template";s:'.strlen($GLOBALS['modules']['cart']['html_template']).':"'.$GLOBALS['modules']['cart']['html_template'].'";s:8:"language";s:7:"deutsch";s:11:"date_format";s:0:"";s:16:"articleSeparator";s:0:"";s:14:"pager_previous";s:0:"";s:10:"pager_next";s:0:"";s:11:"pager_found";s:0:"";s:13:"pager_results";s:0:"";s:15:"showArchiveText";s:6:"Archiv";s:7:"sorting";s:9:"titel ASC";s:10:"edit_index";b:0;s:11:"showArchive";b:0;s:13:"disableRubric";b:0;s:11:"edit_author";b:0;s:10:"edit_email";b:0;s:12:"edit_initial";b:0;s:17:"pager_showresults";b:0;}'
	."')";
$dbm->query($query); 
$query = 'SELECT last_insert_id()';
$dbm->query($query); 
$dbm->next_record();
$GLOBALS['modules']['cart']['cart_text_rubric'] = $dbm->v('last_insert_id()');
$GLOBALS['message'][] = sprintf(__('The cart rubric <em>%s</em> was created.'),'[CART] HTML');

//SHOP
$query= "INSERT INTO ".$dbPrefix."_rubric (directory, name, seclevel, source_rubric_id, settings) VALUES('_rubric', 'SHOP', 0, 0, '"
	.'a:26:{s:17:"disableRubricText";s:0:"";s:5:"title";s:4:"SHOP";s:15:"metaDescription";s:11:"Demo-Rubrik";s:12:"metaKeywords";s:0:"";s:15:"noArticlesFound";s:23:"Keine Artikel gefunden.";s:12:"noOfArticles";s:2:"10";s:10:"newSorting";a:1:{i:0;s:9:"titel ASC";}s:18:"pagetemplate_index";s:'.strlen($cart_template_ids['page_template']).':"'.$cart_template_ids['page_template'].'";s:19:"pagetemplate_detail";s:'.strlen($cart_template_ids['page_template']).':"'.$cart_template_ids['page_template'].'";s:17:"standard_template";s:'.strlen($GLOBALS['modules']['cart']['article_template']).':"'.$GLOBALS['modules']['cart']['article_template'].'";s:8:"language";s:7:"deutsch";s:11:"date_format";s:0:"";s:16:"articleSeparator";s:0:"";s:14:"pager_previous";s:0:"";s:10:"pager_next";s:0:"";s:11:"pager_found";s:0:"";s:13:"pager_results";s:0:"";s:15:"showArchiveText";s:6:"Archiv";s:7:"sorting";s:9:"titel ASC";s:10:"edit_index";b:0;s:11:"showArchive";b:0;s:13:"disableRubric";b:0;s:11:"edit_author";b:0;s:10:"edit_email";b:0;s:12:"edit_initial";b:0;s:17:"pager_showresults";b:0;}'
	."')";
$dbm->query($query); 
$query = 'SELECT last_insert_id()';
$dbm->query($query); 
$dbm->next_record();
$shop_rubric = $dbm->v('last_insert_id()');
$GLOBALS['message'][] = sprintf(__('The cart rubric <em>%s</em> was created.'),'[CART] HTML');

// Die Rechte fr den Admin
$query = "INSERT INTO ".$dbPrefix."_permission (`id`, `user_id`, `rubric_id`, `stufe1`, `stufe2`, `stufe3`, `stufe4`) VALUES ('', 1, ".$GLOBALS['modules']['cart']['customers_rubric'].", 1, 1, 1, 1);";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_permission (`id`, `user_id`, `rubric_id`, `stufe1`, `stufe2`, `stufe3`, `stufe4`) VALUES ('', 1, ".$GLOBALS['modules']['cart']['orders_rubric'].", 1, 1, 1, 1);";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_permission (`id`, `user_id`, `rubric_id`, `stufe1`, `stufe2`, `stufe3`, `stufe4`) VALUES ('', 1, ".$GLOBALS['modules']['cart']['cart_text_rubric'].", 1, 1, 1, 1);";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_permission (`id`, `user_id`, `rubric_id`, `stufe1`, `stufe2`, `stufe3`, `stufe4`) VALUES ('', 1, ".$shop_rubric.", 1, 1, 1, 1);";
$db->query($query);

// Die Templates zuordnen
$query = "INSERT INTO ".$dbPrefix."_tpl_assignment (`rubric_id`, `templates_id`)  VALUES (".$GLOBALS['modules']['cart']['customers_rubric'].", ".$GLOBALS['modules']['cart']['customer_template'].");";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_tpl_assignment (`rubric_id`, `templates_id`)  VALUES (".$GLOBALS['modules']['cart']['orders_rubric'].", ".$GLOBALS['modules']['cart']['checkout_template'].");";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_tpl_assignment (`rubric_id`, `templates_id`)  VALUES (".$GLOBALS['modules']['cart']['cart_text_rubric'].", ".$GLOBALS['modules']['cart']['html_template'].");";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_tpl_assignment (`rubric_id`, `templates_id`)  VALUES (".$shop_rubric.", ".$GLOBALS['modules']['cart']['article_template'].");";
$db->query($query);



// STEP 3: insert HTML texts

// Hier kommen die Daten
$daten = array(
  array('titel' => 'ArticleData','commentary' => '### CART_cartcount ### 
### CART_cartweight ### 
### CART_shippingTaxString ###
### CART_taxByNet ###
### CART_taxes ###
### CART_cartval ### 
### CART_total_shipping ### 
### CART_netval ### 
### CART_shippingNet ### 
### CART_taxValues ###
### CART_taxTotal ### 
### CART_billTotal ### ','keywords' => '','html' => '<TABLE border=0 cellSpacing=0 cellPadding=5>
<TBODY>
<TR bgColor=#dddddd>
<TD><B>Menge</B></TD>
<TD><B>Bezeichnung</B></TD>
<TD><B>Gewicht</B></TD>
<TD><B>USt.</B></TD>
<TD><B>Preis</B></TD>
<TD><B>Gesamt</B></TD></TR><!-- CartRow --><!-- Brutto -->
<TR bgColor=#dddddd>
<TD><B><SPAN id=cartcount>### CART_cartcount ###</SPAN> Stk.</B></TD>
<TD>&nbsp;</TD>
<TD style="TEXT-ALIGN: right; WHITE-SPACE: nowrap"><B><SPAN id=cartweight>### CART_cartweight ###</SPAN> kg</B></TD>
<TD>&nbsp;</TD>
<TD>Bruttobetrag<BR>Versandkosten brutto</TD>
<TD style="TEXT-ALIGN: right; WHITE-SPACE: nowrap"><B><SPAN id=cartval>### CART_cartval ###</SPAN> Euro</B><BR><B><SPAN id=shipping>### CART_total_shipping ###</SPAN> Euro</B></TD></TR><!-- Netto -->
<TR>
<TD>&nbsp;</TD>
<TD style="TEXT-ALIGN: right">### CART_shippingTaxString ###</TD>
<TD>&nbsp;</TD>
<TD>&nbsp;</TD>
<TD>Nettobetrag<BR>Versandkosten netto</TD>
<TD style="TEXT-ALIGN: right"><SPAN id=shipping>### CART_netval ###</SPAN> Euro<BR>### CART_shippingNet ### Euro</TD></TR><!-- MWSt -->
<TR>
<TD>&nbsp;</TD>
<TD style="TEXT-ALIGN: right">### CART_taxByNet ###</TD>
<TD>&nbsp;</TD>
<TD>&nbsp;</TD>
<TD>### CART_taxes ###</TD>
<TD style="TEXT-ALIGN: right">### CART_taxValues ###<BR><B>### CART_taxTotal ### Euro</B></TD></TR><!-- Rechnungsbetrag -->
<TR bgColor=#dddddd>
<TD>&nbsp;</TD>
<TD>&nbsp;</TD>
<TD>&nbsp;</TD>
<TD>&nbsp;</TD>
<TD>Rechnungsbetrag</TD>
<TD style="TEXT-ALIGN: right; WHITE-SPACE: nowrap"><B><SPAN id=shipping>### CART_billTotal ###</SPAN> Euro</B></TD></TR></TBODY></TABLE>'),
  array('titel' => 'BillingInfo','commentary' => '','keywords' => '','html' => '<H2>Kundendaten</H2>
<P>Bitte tragen Sie ihre Kontakt und Zahlungsdaten ein. Die mit Sternchen (*) gekennzeichneten Felder sind <B>Pflichtfelder</B>, die ausgefllt werden mssen, weil sie fr die Abwicklung Ihrer Bestellung bentigt werden.<BR><B>Speichern Sie bitte anschlieend diese Daten, um Ihre Bestellung fortzusetzen!</B></P>'),
  array('titel' => 'CartBox','commentary' => 'Dieser Code erzeugt die kleine Warenkorb-Anzeige und kann frei gestaltet und ergnzt werden.
Es stehen folgende 4 Platzhalter zur Verfgung:
### CART_cartcount ### gibt die Anzahl aus
### CART_cartval ### gibt den Warenwert im Warenkorb aus
### CART_cartweight ### gibt das Gesamtgewicht der Artikel im Warenkorb aus
### CART_login ### erzeugt ein Login/Logout-Link
Zum Lschen des Warenkorbs kann ein Link mit der javascript-Funktion resetCart() belegt werden','keywords' => '','html' => '<DIV id=cartBox><B>Warenkorb:</B> <A href="'.BASE_ABS.'mod_cart/index.php?action=cart">anzeigen</A><BR>Sie haben ### CART_cartcount ### Artikel im Warenkorb<BR>Gesamtbetrag: ### CART_cartval ### Euro / Gewicht: ### CART_cartweight ### kg<BR><INPUT onclick="resetCart() ;" value="Warenkorb lschen!" type=button><BR>### CART_login ###</DIV>'),
  array('titel' => 'CartButton','commentary' => 'Dieser Code wird als "In den Warenkorb"-Button genutzt und kann frei gestaltet und ergnzt werden.
Es stehen folgende 3 Platzhalter zur Verfgung:
### CART_pcs ### erzeugt ein Eingabe- oder Auswahlfeld fr die Anzahl
### CART_count ### gibt die bereits im Warenkorb befindliche Anzahl aus
### CART_js_delete ### ist ein Javascript-Link, um den Artikel aus dem Warenkorb zu entfernen (Verwendung im Tag mittels href="javascript:### CART_js_delete ###" oder onClick="### CART_js_delete ###")','keywords' => '','html' => '<P>Anzahl: ### CART_pcs ###<BR><INPUT class=cart_submit value="In den Warenkorb" type=submit><BR>Im <A href="'.BASE_ABS.'mod_cart/index.php?rubric=Warenkorb&amp;action=cart">Warenkorb</A>: ### CART_count ### Stk. <A title=lschen href="javascript:### CART_js_delete ###"><IMG border=0 alt=lschen src="'.BASE_ABS.'mod_cart/pics/delete.gif"></A></P>'),
  array('titel' => 'CheckoutInfo','commentary' => '','keywords' => '','html' => '<H2>Abschlieende Prfung</H2>
<P>Bitte prfen Sie sorgfltig die unten aufgefhrten Daten, bevor Sie die Bestellung absenden! Sollten Sie etwas korrigieren wollen, dannn wechseln Sie zum <A href="'.BASE_ABS.'mod_cart/index.php?action=cart">Warenkorb</A> oder den <A href="'.BASE_ABS.'mod_cart/index.php?action=billdata">Kundendaten</A> und fhren dort die Korrekturen durch bevor Sie zur Prfung zurckkehren.</P>'),
  array('titel' => 'ClickStream','commentary' => '','keywords' => '','html' => '<DIV><A href="'.BASE_ABS.'_rubric/index.php?rubric=SHOP"> Zurck zum Shop</A>  <A href="'.BASE_ABS.'mod_cart/index.php?action=cart">Warenkorb</A>  <A href="'.BASE_ABS.'mod_cart/index.php?action=billdata">Kundendaten</A>  <A href="'.BASE_ABS.'mod_cart/index.php?action=shipping">Versandinformationen</A>  <A href="'.BASE_ABS.'mod_cart/index.php?action=checkout">Prfen</A>  <A href="'.BASE_ABS.'mod_cart/index.php?action=confirmation">Besttigung</A></DIV>'),
  array('titel' => 'ConfirmationInfo','commentary' => '','keywords' => '','html' => '<H2>Besttigung ihres Auftrages</H2>
<P>Bei uns werden die Bestellungen an Werktagen zu den normalen Brozeiten bearbeitet. Bitte geben Sie uns etwas Zeit fr die Bearbeitung. Bei Unstimmigkeiten werden wir Sie kontaktieren.</P>
<P>Wir bedanken uns herzlichst fr Ihren Auftrag und sichern Ihnen eine zuverlssige Auftragsabwicklung zu.</P>
<P><A href="'.BASE_ABS.'_rubric/index.php?rubric=K%FChlger%E4te"> Zurck zum Shop</A></P>'),
  array('titel' => 'EditCart','commentary' => 'Dieser Code wird als Kopf- und Fu der Warenkorb-Tabelle genutzt und kann frei gestaltet und ergnzt werden.
Zwischen Kopf- und Fu befindet sich <!-- CartRow -->. An dieser Stelle werden die Zeilen des Warenkorb-Templates eingeblendet.
Es stehen folgende 3 Platzhalter zur Verfgung:
### CART_cartcount ### zeigt die aktuelle Gesamtzahl
### CART_cartweight ### zeigt das aktuelle Gesamtgewicht
### CART_cartval ### zeigt den aktuellen Gesamtpreis
Diese Werte werden beim ndern und Lschen von Artikeln mittels Javascript sofort aktualisiert.','keywords' => '','html' => '<H2>Warenkorb</H2>
<P>Im Warenkorb sehen Sie die von Ihnen ausgewhlten Artikel mit den von Ihnen gewhlten Optionen. Sie knnen die Artikelanzahl ndern und diese durch Klick auf Aktualisieren <IMG src="'.BASE_ABS.'mod_cart/pics/reload.gif"> eine Neuberechnung ausfhren bzw. den neuen Wert im Warenkorb speichern. Durch Klick auf <IMG src="'.BASE_ABS.'mod_cart/pics/delete.gif"> knnen Sie einzelne Posten lschen.</P>
<TABLE border=0 cellSpacing=0 cellPadding=5>
<TBODY>
<TR bgColor=#dddddd>
<TD><B>Menge</B></TD>
<TD><B>Bezeichnung</B></TD>
<TD><B>Gewicht</B></TD>
<TD><B>USt.</B></TD>
<TD><B>Preis</B></TD>
<TD><B>Gesamt</B></TD></TR><!-- CartRow -->
<TR bgColor=#dddddd>
<TD><B>### CART_cartcount ### Stk.</B></TD>
<TD>&nbsp;</TD>
<TD style="TEXT-ALIGN: right; WHITE-SPACE: nowrap"><B>### CART_cartweight ### kg</B></TD>
<TD>&nbsp;</TD>
<TD>&nbsp;</TD>
<TD style="TEXT-ALIGN: right; WHITE-SPACE: nowrap"><B>### CART_cartval ### Euro</B></TD></TR></TBODY></TABLE>
<P><A href="'.BASE_ABS.'mod_cart/index.php?action=billdata">weiter zur Eingabe der Kundendaten </A></P>'),
  array('titel' => 'LoginInfo','commentary' => '','keywords' => '','html' => '<P>Wenn Sie hier schon mal gekauft haben und ihre Kundendatengespeichert haben, dann knnen Sie sich mit Ihrer <STRONG>e-Mail-Adresse </STRONG>und Ihrem selbst gewhlten&nbsp;<STRONG>Passwort</STRONG> einloggen. Dadurch werden die gespeicherten Kundendaten bernommen und Sie haben Zugriff auf ihre bisherigen Bestellungen.</P>'),
  array('titel' => 'Mail2Admin','commentary' => 'Dieser Text wird fr die Bestellungs-Mails an den Shopbetreiber genutzt und kann frei gestaltet und ergnzt werden.
Der Text in "Schlsselwrter" wird als Betreff der Mail benutzt!
Es stehen fr das HTML-Feld folgende Platzhalter zur Verfgung:
### CART_article_data ### gibt die Artikeldaten aus
### CART_customer_data ### gibt die Kundendaten aus','keywords' => 'Eine neue Bestellung im ConPresso-Shop','html' => 'Lieber Administrator,<BR>es wurde folgende Bestellung aufgegeben:<BR>
<DIV><BR>### CART_article_data ###<BR></DIV><BR>
<DIV>Es wurden folgende Kundendaten angegeben:<BR><BR>### CART_customer_data ###<BR></DIV>'),
  array('titel' => 'Mail2Customer','commentary' => 'Dieser Text wird fr die Besttigungs-Mails an den Kundengenutzt und kann frei gestaltet und ergnzt werden.
Der Text in "Schlsselwrter" wird als Betreff der Mail benutzt!
Es stehen fr das HTML-Feld folgende Platzhalter zur Verfgung:
### CART_article_data ### gibt die Artikeldaten-Tabelle aus
### CART_customer_data ### gibt die Kundendaten-Tabelle aus','keywords' => 'Besttigung Ihrer Bestellung im ConPresso-Shop','html' => '<P>Sehr geehrter Kunde,<BR></P>
<H2>danke fr Ihre Bestellung!</H2>
<DIV>Sie haben heute folgende Bestellung aufgegeben:<BR><BR>### CART_article_data ###<BR></DIV>
<H2>Kundendaten</H2>
<DIV>Sie haben diese Kundendaten angegeben:<BR><BR>### CART_customer_data ###<BR></DIV>'),
  array('titel' => 'OrderHistory','commentary' => 'Dieser Text wird benutzt, wenn sich ein Kunde einloggt.
### CART_user ### gibt die ID (Mail-Adresse) des eingeloggten Kunden aus','keywords' => '','html' => '<P>Eingeloggt als: ### CART_user ### <A href="'.BASE_ABS.'mod_cart/member.php?action=logout">ausloggen</A> 
<P>
<H3>Bestellhistorie</H3>
<P>Durch Klick auf einen Eintrag wird ihre Bestellung angezeigt und durch erneuten Klick wieder geschlossen.</P>'),
  array('titel' => 'ShippingInfo','commentary' => 'Dieser Text wird fr die Erluterung der Versandkosten-Kalkulation verwendet.
Es steht folgender Platzhalter zur Verfgung:
### CART_shipping ### blendet die Grundlagen und Ergebnisse der Versandkosten-Kalkulation ein

','keywords' => '','html' => '<H2>Versandinformationen</H2>
<P>Aufgrund der von Ihnen getroffenen Artikel-Auswahl ergeben sich folgende Versandkosten. Diese werden beim Eingang Ihrer Bestellung nochmal geprft. Sollten wir eine gnstigere Versandmglichkeit finden oder besondere Versandformen whlen mssen, dann werden wir Sie darber informieren.</P>
<P>### CART_shipping ###</P><A href="'.BASE_ABS.'mod_cart/index.php?action=checkout">Weiter mit der abschlieenden Prfung</A> '),
  array('titel' => 'ItemPurchase','commentary' => '### CART_pcs ###
### CART_name ### 
### CART_ordid ###','keywords' => '','html' => '<P>Der Artikel wurde in den Warenkorb gelegt!<BR>### CART_pcs ###&nbsp;Stk.&nbsp;### CART_name ###&nbsp;(Art.Nr. ### CART_ordid ###)</P>'),
  array('titel' => 'ItemDelete','commentary' => '','keywords' => '','html' => '<P>Der Artikel wurde aus dem Warenkorb entfernt!</P>')
);


for ($i=0;$i<count($daten);$i++)
{
		$data = array();
        $data['rubric_id']    = $GLOBALS['modules']['cart']['cart_text_rubric'];
        $data['titel']        = $daten[$i]['titel'];
        $data['templates_id'] = $GLOBALS['modules']['cart']['html_template'];
        $data['autor']        = 'mod_cart';

        $data['email']         = 'mod_cart';
        $data['initial']       = 'mod_cart';
        $data['changedBy']     = 'mod_cart';
        $data['releasedby']    = $_SESSION['SID_user']['id'];
        $data['commentary']    = $daten[$i]['commentary'];
        $data['keywords']      = $daten[$i]['keywords'];

		$data['content']['HTML-Template (html)']['html'] = $daten[$i]['html'];

        save_article($data);

        $GLOBALS['message'][] = sprintf(___('The article %s was successfully saved.'), '<em>'.htmlspecialchars($daten[$i]['titel']).'</em>');
}


// STEP 4: insert demo articles
	
	// ConPresso
		$data = array();
        $data['rubric_id']    = $shop_rubric;
        $data['titel']        = 'ConPresso Content Management';
        $data['templates_id'] = $GLOBALS['modules']['cart']['article_template'];
        $data['autor']        = 'mod_cart';

        $data['email']         = 'mod_cart';
        $data['initial']       = 'mod_cart';
        $data['changedBy']     = 'mod_cart';
        $data['releasedby']    = $_SESSION['SID_user']['id'];
        $data['commentary']    = 'mod_cart Demo-Artikel';
        $data['keywords']      = '';

		$data['content']['Teaser (html)']['html'] = '<p>ConPresso ist die leistungsfhige und leicht zu bedienende Content Management Lsung.</p>';
		$data['content']['Artikel-Text (html)']['html'] = '<p>ConPresso ist der beste Weg, Ihr Internet-, Intranet- oder Extranet-Projekt schnell und flexibel zu pflegen, zu aktualisieren und zu erweitern. </p> <p>ConPresso, das heit:</p> <ul> <li>kostengnstiges Content Management </li> <li>einfache Installation </li> <li>intuitive Bedienung </li> <li>schnelle Systemanpassung</li></ul> <p>ConPresso ist das optimale Werkzeug fr: </p> <ul> <li>professionelle Unternehmenswebsites &amp; Intranets<br>  </li> <li>Online Magazine &amp; Informationsportale </li> <li>Websites von Organisationen und Vereinen </li> <li>private Homepages</li></ul> <p>Support, Produktinformationen und Erweiterungsmodule fr ConPresso finden Sie im Internet unter <a title="ConPresso Website" target="_blank" href="http://www.conpresso.de/">http://www.conpresso.de/</a>.</p> <p style="font-weight: bold;">ConPresso - Content kinderleicht managen.</p>';

		$data['content']['Bild (image)']['image_id'] = 1;
		$data['content']['Zoom-Bild (image)']['image_id'] = 1;

		$data['content']['Artikelnummer (text)']['text'] = 'CPO';
		$data['content']['Preis (text)']['text'] = '299';
		$data['content']['Gewicht (text)']['text'] = '150';
		$data['content']['Steuersatz (text)']['text'] = '0.19';
		$data['content']['Optionen (text)']['text'] = "Download-Version\nCD-Version###12.5";
		$data['content']['Varianten (text)']['text'] = '';

        save_article($data);

        $GLOBALS['message'][] = sprintf(___('The article %s was successfully saved.'), '<em>'.htmlspecialchars($data['titel']).'</em>');

	// mod_form
		$data = array();
        $data['rubric_id']    = $shop_rubric;
        $data['titel']        = 'mod_form';
        $data['templates_id'] = $GLOBALS['modules']['cart']['article_template'];
        $data['autor']        = 'mod_cart';

        $data['email']         = 'mod_cart';
        $data['initial']       = 'mod_cart';
        $data['changedBy']     = 'mod_cart';
        $data['releasedby']    = $_SESSION['SID_user']['id'];
        $data['commentary']    = 'mod_cart Demo-Artikel';
        $data['keywords']      = '';

		$data['content']['Teaser (html)']['html'] = '<p>erzeugt aus einem normalen Template ein Formular,speichert den Inhalt als Artikel und versendet Mails. Gstebuch, Kontakt, Buchung und alles was Interaktion erfordert.</p>';
		$data['content']['Artikel-Text (html)']['html'] = '<P>Das Modul mod_form stellt beliebige Formulare auf Basis von normalen Artikeltemplates zur Verfgung.</P><P>Daraus knnen z.B. Kontaktformulare, Veranstaltungskalender, Gstebcher, Bewerbungsformulare, Bestellscheine und vieles mehr erstellt werden! Hierfr werden einige Beispieltemplates mitgeliefert.</P><P>Dazu gehrt ein Dateiupload (z.B. fr Bewerbungen und Anzeigen) sowie ein Spamschutz mittels frei definierbarem Captcha-Sicherheitscode.</P><P>Die eingetragenen Inhalte knnen als Mail versendet und als Artikel gespeichert werden. Diese Artikel sind entweder direkt online oder mssen erst freigeschaltet werden.</P><P>Dabei lsst sich das Modul mehrfach installieren um alle Anwendungsarten gleichzeitig nutzen zu knnen.</P></div><br /><a href="http://www.conpresso4.de/_data/cpo4_mod_form_4.1c.zip" ><img src="http://www.conpresso4.de/_data/button-download.jpg" /></a> <a href="http://manual.conpresso4.de/form/index.htm" target="_blank"><img src="http://www.conpresso4.de/_data/button-handbuch.jpg" /></a>';

		$data['content']['Bild (image)']['image_id'] = 1;
		$data['content']['Zoom-Bild (image)']['image_id'] = 1;

		$data['content']['Artikelnummer (text)']['text'] = 'mod_form';
		$data['content']['Preis (text)']['text'] = '25';
		$data['content']['Gewicht (text)']['text'] = '150';
		$data['content']['Steuersatz (text)']['text'] = '0.19';
		$data['content']['Optionen (text)']['text'] = "Download-Version\nCD-Version###5";
		$data['content']['Varianten (text)']['text'] = '';

        save_article($data);

        $GLOBALS['message'][] = sprintf(___('The article %s was successfully saved.'), '<em>'.htmlspecialchars($data['titel']).'</em>');

	// mod_form
		$data = array();
        $data['rubric_id']    = $shop_rubric;
        $data['titel']        = 'mod_gallery';
        $data['templates_id'] = $GLOBALS['modules']['cart']['article_template'];
        $data['autor']        = 'mod_cart';

        $data['email']         = 'mod_cart';
        $data['initial']       = 'mod_cart';
        $data['changedBy']     = 'mod_cart';
        $data['releasedby']    = $_SESSION['SID_user']['id'];
        $data['commentary']    = 'mod_cart Demo-Artikel';
        $data['keywords']      = '';

		$data['content']['Teaser (html)']['html'] = '<p>Die automatische Bildergalerie mit automatischer Skalierung, Diashow und vielen Mglichkeiten.</p>';
		$data['content']['Artikel-Text (html)']['html'] = '<P>Das Bilderalbum-Modul wurde fr Conpresso 4 entwickelt und ist eng in das System eingebunden, benutzt viele Original-Funktionen und ist daher einfach zu bedienen.</P><P><STRONG>Grundgedanken:<BR></STRONG>ConPresso selbst bietet ja bereits einen Bildupload, eine komfortable Bildverwaltung sowie Einbindung in Artikel, daher kann im Prinzip damit bereits eine Website ausreichend bebildert werden.<BR>Das Bilderalbum dagegen bedingt den Einsatz hochauflsender Bilder, wie sie z.B. von Digitalkameras geliefert werden, die dann serverseitig in eine Miniatur (fr eine bersichtsseite) sowie eine qualitativ hochwertige und zum Seitenlayout passende Standardgre umgerechnet werden. Diese Umrechnung passiert nur einmalig beim Hochladen, so da trotz der Darstellung vieler Bilder nur wenig Bandbeite und Traffic bentigt wird.</P><P>Es ist kein Medienarchiv und verarbeitet daber nur RGB-JPEG-Bilder</P><P>Folgende Eigenschaften bietet das Modul:</P><UL style="MARGIN-RIGHT: 0px" dir=ltr><LI>automatisches Umrechnen hochaufgelster Originalbilder in ein definierbares Thumbnail- und Bildformat <LI>Erstellung einer in den Satzspiegel des Webauftritts passenden bersicht (wahlweise mit oder ohne Layout-Tabelle) inkl. Seitennavigation <LI>selbstlaufende Diashow als Pop-Up und als InPage-Javascript-Slideshow <LI>Erstellung eines Zufallsbildes als Teaser fr die Einbindung auf der Index-Seite <LI>Vollstndige Konfiguration im Backend von <UL><LI>Optionen <LI>Frontendelementen <LI>Layout (HTML) </LI></UL><LI>Komfortable Rechtesteuerung <LI>33 Slidesshow-Transitions (bergnge) im IE </LI></UL><P dir=ltr>In der PRO-Version zustzlich:</P><UL dir=ltr><LI><DIV>Verarbeiten kompletter Verzeichnisse (z.B. mehrere hundert Bilder aus bestehenden Sammlungen)</DIV><LI><DIV>nachtrgliches Umrechnen aller Bilder und Thumbnails bei Layoutnderungen</DIV><LI><DIV>Intervall-Verarbeitung zur Umgehung von Server-Einschrnkungen</DIV><LI><DIV>Urheberrechts-Kennzeichnung mit TrueType-Fonts</DIV><LI><DIV>Einrechnung eines Wasserzeichens mit einstellbarer Transparenz</DIV></LI></UL><P>In den Kapiteln dieser Hilfeseiten werden die einzelnen Vorgehensweisen und Optionen erklrt.<BR>Innerhalb des Programmes kann durch Klick auf die Fragezeichen meist eine kontextbezogene Hilfe aufgerufen werden.</P><P><IMG align=left src="http://www.conpresso4.de/_data/caution.jpg">Die Installation des Moduls erfordert das Vorhandensein der PHP-Grafikbibliothek GD in einer Version grergleich 2. Diese gehrt heute zum Standard bei Webservern.</P><P>Ohne diese Grafikbibliothek lsst sich das Modul nicht installieren!</P></div><br /><a href="http://www.conpresso4.de/_reg_downloads/index.php?rubric=Downloads" ><img src="http://www.conpresso4.de/_data/button-download.jpg" /></a> <a href="http://manual.conpresso4.de/gallery/index.htm" target="_blank"><img src="http://www.conpresso4.de/_data/button-handbuch.jpg" /></a>';

		$data['content']['Bild (image)']['image_id'] = 1;
		$data['content']['Zoom-Bild (image)']['image_id'] = 1;

		$data['content']['Artikelnummer (text)']['text'] = 'mod_gallery';
		$data['content']['Preis (text)']['text'] = '50';
		$data['content']['Gewicht (text)']['text'] = '150';
		$data['content']['Steuersatz (text)']['text'] = '0.19';
		$data['content']['Optionen (text)']['text'] = "Download-Version\nCD-Version###5";
		$data['content']['Varianten (text)']['text'] = '';

        save_article($data);

        $GLOBALS['message'][] = sprintf(___('The article %s was successfully saved.'), '<em>'.htmlspecialchars($data['titel']).'</em>');

