<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Modification "Enhanced Parser"                               |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
| Developed for Gnther Ludwig http://www.amazingbytes.net               |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <conpresso@gmx.de>                               |
+------------------------------------------------------------------------+

== Version: 4.0 / June 2012 ==

*/

$translation = array(

'Logged in as'
=> 'Eingeloggt als',
'Actually your cart contains:<br />%1$s items with a total weight of %2$s %5$s and a total value of %3$s %4$s.'
=> 'In Ihrem Warenkorb befinden sich derzeit:<br />%1$s Artikel mit eine Gesamtgewicht von %2$s %5$s und enem Gesamtwert von %3$s %4$s.',
'Sorry, this user/password combination does not exist.'
=> 'Diese e-Mail/Passwort-Kombination existiert leider nicht.',
'Shipping is free when the total cart value is higher than %1$s %2$s.'
=> 'Ab einem Bestellwert von %1$s %2$s ist der Versand fr Sie kostenlos.',
'Our flat-rate for shipping for every order is %1$s %2$s.'
=> 'Die Versandkostenpausche je Bestellung betrgt %1$s %2$s.',
'Your shipping cost is %1$s %2$s.'
=> 'Ihre Versandkosten betragen %1$s %2$s.',
'%1$s x "<em>%2$s</em>" %3$s %6$s  %4$s %5$s'
=> '%1$s x "<em>%2$s</em>" %3$s %6$s  %4$s %5$s',
'none'
=> 'keine',
'Tax rate of the main service'
=> 'Steuersatz der Hauptleistung',
'Proportion to net'
=> 'Anteilig nach Netto-Betrag',
'Proportion to weight'
=> 'Anteilig nach Gewicht',
'Proportion to number'
=> 'Anteilig nach Anzahl',
'Shipping costs taxing'
=> 'Versandkosten-Versteuerung',
'%1$s of net %2$s %4$s = %3$s %4$s'
=> '%1$s von netto %2$s %4$s = %3$s %4$s', // 1=Prozent 2=Netto 3=Anteil 4=Whrung
'VAT'
=> 'USt.',
'VAT total'
=> 'USt. gesamt',
'The billing data is not saved yet! You need to save the data before continuing with the next step!'
=> 'Die Kundendaten wurden noch nicht gespeichert! Sie mssen die Daten fr diese Bestellung speichern, bevor Sie mit dem nchsten Schritt fortfahren!',
'Please fill in and save the billing data first for the ordering process!'
=> 'Vervollstndigen Sie bitte zuerst die Kundendaten und speichern Sie diese fr den weiteren Bestellprozess!',
'Please check all the data of your order first and then send your order!'
=> 'Bitte prfen Sie zuerst den Auftrag und versenden Sie die Bestellung!',
'Error sending e-mail!'
=> 'Fehler beim Mailversand!',
'A confirmation was sent <em>%s</em>via e-mail.'
=> 'Es wurde eine Besttigung an die e-Mail-Adresse <em>%s</em> gesendet.',
'Cart'
=> 'Warenkorb',
'Orders'
=> 'Bestellungen',
'Customers'
=> 'Kunden',
'Settings'
=> 'Einstellungen',
'Edit customers'
=> 'Kunden bearbeiten',
'Edit orders'
=> 'Bestellungen bearbeiten',
'Name / City'
=> 'Name / Ort',
'In this view you can view the customers created by the cart module.'
=> 'In dieser Ansicht knnen Sie die durch das Warenkorb-Modul angelegten Kunden betrachten.',
'In this view you can view the orders created by the cart module.'
=> 'In dieser Ansicht knnen Sie die durch das Warenkorb-Modul angelegten Bestellungen betrachten.',
'These are the orders of customer <em>%s</em>. <a href="%s">Show all orders</a>.'
=> 'Dies sind die Bestellungen des Kunden <em>%s</em>. <a href="%s">Alle Bestellungen anzeigen</a>.',
'englisch'
=> 'deutsch',
'englisch'
=> 'deutsch',


// Settings
'In this view you can work on the settings of the cart module.'
=> 'In dieser Ansicht knnen Sie die Einstellungen des Warenkorb-Moduls bearbeiten.',
'Module settings were updated!'
=> 'Die Moduleinstellungen wurden aktualsiert!',
'Save module settings'
=> 'Moduleinstellungen speichern',
'Cart settings'
=> 'Warenkorb-Einstellungen',
'Sender adress:'
=> 'Absender-Adresse:',
'Recipient adress:'
=> 'Empfnger-Adresse:',
'Select rubric to store customers:'
=> 'Rubrik fr Kunden:',
'Select rubric to store orders:'
=> 'Rubric fr Bestellungen:',
'Select rubric to store texts:'
=> 'Rubrik fr Texte:',
'Calculate shipping:'
=> 'Versandkosten berechnen:',
'Free shipping:'
=> 'Kostenfreier Versand ab:',
'Flat-rate shipping:'
=> 'Versandkosten-Pauschale:',
'Shipping rates:'
=> 'Versandkosten-Stze:',
'Syntax: Description;Weight[in gramms];Cost [LF]'
=> 'Syntax: Beschreibung;Gewicht[in Gramm];Kosten [LF]',
'Currency unit:'
=> 'Wahrungs-Einheit:',
'When changing the currency unit you have to go through the used templates and the cart texts in <em>%s</em>.<br />This setting is only used for some calculated values.'
=> 'Wenn Sie die Warungs-Einheit ndern, dann bearbeiten Sie bitte auch die verwendeten Templates und die Warenkorb-Texte in <em>%s</em>.<br />Diese Einstellung wird nur fr einige berechnete Ausgaben verwendet.',
'Weight unit:'
=> 'Gewichts-Einheit:',
'When changing the weight unit you have to go through the used templates and the cart texts in <em>%s</em>.<br />This setting is only used for some calculated values.'
=> 'Wenn Sie die Gewichts-Einheit ndern, dann bearbeiten Sie bitte auch die verwendeten Templates und die Warenkorb-Texte in <em>%s</em>.<br />Diese Einstellung wird nur fr einige berechnete Ausgaben verwendet.',
'Decimal mark:'
=> 'Dezimal-Zeichen:',
'g [Gramms] (1g)'
=> 'g [Gramm] (1g)',
'kg [KiloGramms] (1000g)'
=> 'kg [Kilogramm] (1000g)',
'lb [Pounds] (453g)'
=> 'lb [Pfund] (453g)',
'Comma (1.000,00)'
=> 'Komma (1.000,00)',
'Point (1,000.00)'
=> 'Punkt (1,000.00)',
'Shipping costs taxing:'
=> 'Versandkosten Versteuerung:',
'Select customer template:'
=> 'Kunden-Formular-Template:',
'Select cart row template:'
=> 'Warenkorb-Zeilen-Template:',
'Select checkout template:'
=> 'Prfungs-Formular-Template:',
'Cart page-template:'
=> 'Warenkorb-Seitentemplate:',
'Billing page-template:'
=> 'Kundendaten-Seitentemplate:',
'Shipping page-template:'
=> 'Versand-Seitentemplate:',
'Checkout page-template:'
=> 'Prfungs-Seitentemplate:',
'Confirmation page-template:'
=> 'Besttigungs-Seitentemplate:',
'act like enclosing rubric'
=> 'Verhalten wie zugeordnete Rubrik',
'Form module directory:'
=> 'Formular-Modul-Verzeichnis:',
'Placeholder item number:'
=> 'Platzhalter fr Artikelnummer:',
'Placeholder weight:'
=> 'Platzhalter fr Gewicht:',
'Placeholder tax rate:'
=> 'Platzhalter fr Steuersatz:',
'Placeholder price:'
=> 'Platzhalter fr Preis:',
'Placeholder maximum count:'
=> 'Platzhalter fr maximale Anzahl:',
'Option placeholders:'
=> 'Options-Platzhalter:',
'Syntax: List the option placeholder names divided by semicolon (;).'
=> 'Syntax: Tragen Sie die Options-Platzhalter durch Semikolon (;) getrennt ein.',
'Refresh button template:'
=> 'Aktualisieren-Button-Template:',
'Delete button template:'
=> 'Lsch-Button-Tesmplate:',
'CSS Sheet:'
=> 'CSS-Datei:',
'Billdata form texts:'
=> 'Kundendaten-Formular Texte:',
'Checkout form texts:'
=> 'Prfungs-Formular Texte:',
'Syntax: Value: Displayed text [LF]'
=> 'Syntax: Wert: Angezeigter Text [LF]',
'flat-rate'
=> 'pauschal',
'englisch'
=> 'deutsch',
'englisch'
=> 'deutsch',
'englisch'
=> 'deutsch',
'englisch'
=> 'deutsch',
'englisch'
=> 'deutsch',
'englisch'
=> 'deutsch',

'enlarge'
=> 'vergrern',
'reduce'
=> 'verkleinern',

'yes'
=> 'ja',
'no'
=> 'nein'

);

?>