// these may be changed
var openSymbol = '../_skin/conpresso/sym_filteron.gif';
var closeSymbol = '../_skin/conpresso/sym_filteroff.gif';
var noteTimeout = 2000;
var tagArray = new Array('div','span','b','strong','em','td','font','p');
var optDivider = '###';
var buyButton = 'shop_buy_button_';
var heightDiff = 0;

// the functions
function formatZahl(zahl, k, fix) { 
    if(!k) k = 0; 
    var neu = ''; 
  
    // Runden 
    var f = Math.pow(10, (+k+1)); 
    zahl = '' + parseInt(zahl * f + (5 * (zahl >= 0 ? 1 : -1)) ) / f ; 
  
    // Komma ermittlen 
    var idx = zahl.indexOf('.'); 
  
    // fehlende Nullen einfgen 
    if(fix)    { 
         zahl += (idx == -1 ? '.' : '' ) 
         + f.toString().substring(1); 
    } 
	var sign = zahl < 0; 
	if(sign) zahl = zahl.substring(1); 
    idx = zahl.indexOf('.'); 
  
	// Nachkommastellen ermittlen 
    if( idx == -1) idx = zahl.length; 
    else neu = dec_point + zahl.substr(idx + 1, k); 
  
    while(idx > 0)    { 
        if(idx - 3 > 0) 
        neu = thousands_sep + zahl.substring( idx - 3, idx) + neu; 
        else 
        neu = zahl.substring(0, idx) + neu; 
        idx -= 3; 
    } 
    return (sign ? '-' : '') + neu; 
} 

function locZahl(zahl) { return formatZahl(zahl, 2, true); }

function percent(x) { return Math.round((x-0)*100) + '%'; }

function cartSetInnerHTML(id,value) {
	// find items with id="id"
	if (document.getElementById(id)) document.getElementById(id).innerHTML = value;
	// find items with class="id"
	var itemsArray = tagArray;
	for (nSet=0;nSet<itemsArray.length;nSet++)  {
		var items=document.getElementsByTagName(itemsArray[nSet]);
		for (iSet=0;iSet<items.length;iSet++) if (items[iSet].className==id) items[iSet].innerHTML = value;
	}
}

function cartExists(id) {
	// find items with id="id"
	if (document.getElementById(id)) return true;
	// find items with class="id"
	var itemsArray = tagArray;
	for (nSet=0;nSet<itemsArray.length;nSet++)  {
		var items=document.getElementsByTagName(itemsArray[nSet]);
		for (iSet=0;iSet<items.length;iSet++) if (items[iSet].className==id) return true;
	}
	return false;
}

function purchase(id, ordid, name, weight, vat, val, pcs, options)  {
	var cartButtonContent;
	var cartButtonHeight;
	setShopCookie(id, ordid, name, weight, vat, val, pcs, options, 365);
	refreshCartDisplay();
	if (cartExists(buyButton+id)) {
		cartButtonHeight = document.getElementById(buyButton+id).offsetHeight;
		document.getElementById(buyButton+id).style.height = cartButtonHeight ;
		cartButtonContent = document.getElementById(buyButton+id).innerHTML;
		purchase_item_text = purchase_item_text.replace(/### CART_pcs ###/g, pcs);
		purchase_item_text = purchase_item_text.replace(/### CART_name ###/g, name);
		purchase_item_text = purchase_item_text.replace(/### CART_ordid ###/g, ordid);
		cartSetInnerHTML(buyButton+id, 
			'<div class="cart_button_submit" style="height:'+(cartButtonHeight-heightDiff)+'px">'+purchase_item_text+'</div>'
		);
		window.setTimeout(function(){cartSetInnerHTML(buyButton+id,cartButtonContent)}, 2000);
	}
}

function deleteCartItem(id)  {
	var cartButtonContent;
	var cartButtonHeight;
	removeShopCookie(id);
	if (document.getElementById('cart_row_'+id)) document.getElementById('cart_row_'+id).style.display = 'none';
	cartSetInnerHTML('shop_cart_count_'+id,0);
	refreshCartDisplay();
	if (cartExists(buyButton+id)) {
		cartButtonHeight = document.getElementById(buyButton+id).offsetHeight;
		document.getElementById(buyButton+id).style.height = cartButtonHeight ;
		cartButtonContent = document.getElementById(buyButton+id).innerHTML;
		cartSetInnerHTML(buyButton+id, 
			'<div class="cart_button_submit" style="height:'+(cartButtonHeight-heightDiff)+'px">'+delete_item_text+'</div>'
		);
		window.setTimeout(function(){cartSetInnerHTML(buyButton+id,cartButtonContent)}, 2000);
	}
}

function setShopCookie(id, ordid, name, weight, vat, val, pcs, options, expdays) {   // gltig expdays Tage
  var now = new Date();
  var exp = new Date(now.getTime() + (1000*60*60*24*expdays));
  document.cookie = "shop[" + id + "]=" 
	  + escape(ordid) + "|" 
	  + escape(name) +  "|" 
	  + escape(weight) + "|" 
	  + escape(vat) + "|" 
	  + escape(val) + "|" 
	  + escape(pcs) + "|"  
	  + escape(options) + ";" 
	  + "expires=" + exp.toGMTString() + ";" + "path=/";
}

function removeShopCookie(id)  {
	var now = new Date();
	var exp = new Date(now.getTime() -10000 );
	document.cookie = "shop[" + id + "]=0;" + "expires=" + exp.toGMTString() + ";" + "path=/";
}

function resetCart()  {
  var ALLcookies=document.cookie.split(";");
  var now = new Date();
  var exp = new Date(now.getTime() -10000 );
	for (i=0;i<ALLcookies.length;i++)  {
	  x=ALLcookies[i].substr(0,ALLcookies[i].indexOf("="));
	  idx=x.substring(x.indexOf("[")+1,x.indexOf("]"));
	  x=x.replace(/^\s+|\s+$/g,"");
	  if ('shop'==x.substring(0,4)) {
		 document.cookie = x+"=0;" 
			 + "expires=" + exp.toGMTString() + ";" + "path=/";
		 cartSetInnerHTML('shop_cart_count_'+idx,0);
		 if (document.getElementById('cart_row_'+idx)) document.getElementById('cart_row_'+idx).style.display = 'none';
	  }
	}
	cartSetInnerHTML('cartcount',0);
	cartSetInnerHTML('cartval',locZahl(0));
	cartSetInnerHTML('cartweight',locZahl(0));
}

function displayHistory(id)  {
	if (document.getElementById('history_data_'+id)) {
        var content = document.getElementById('history_data_'+id).innerHTML;
        document.getElementById('history_data_'+id).innerHTML = content;
        document.getElementById('history_data_'+id).style.display = 'block';
        document.getElementById('history_link_'+id).href = 'javascript:hideHistory('+id+')';
        document.getElementById('history_imglink_'+id).href = 'javascript:hideHistory('+id+')';
        document.getElementById('history_img_'+id).src = closeSymbol;
    }
}

function hideHistory(id)  {
	if (document.getElementById('history_data_'+id)) {
        document.getElementById('history_data_'+id).style.display = 'none';
        document.getElementById('history_link_'+id).href = 'javascript:displayHistory('+id+')';
        document.getElementById('history_imglink_'+id).href = 'javascript:displayHistory('+id+')';
        document.getElementById('history_img_'+id).src = openSymbol;
    }
}


function refreshCartDisplay()  {
	var cart=new Array();
	var cartcount=0;
	var cartval=0;
	var cartweight=0;
	var x;
	var y;
	var idx;
	var ALLcookies=document.cookie.split(";");
	for (i=0;i<ALLcookies.length;i++)  {
	x=ALLcookies[i].substr(0,ALLcookies[i].indexOf("="));
	x=x.replace(/^\s+|\s+$/g,"");
		if ('shop'==x.substring(0,4)) {
			idx=x.substring(x.indexOf("[")+1,x.indexOf("]"));
			y=ALLcookies[i].substr(ALLcookies[i].indexOf("=")+1);
			x=x.replace(/^\s+|\s+$/g,"");
			cart[idx]=y.split("|");
			if (Number(cart[idx][5])>0) cartcount += Number(cart[idx][5]);
			if (Number(cart[idx][4])*Number(cart[idx][5])>0) cartval += Number(cart[idx][5]) * Number(cart[idx][4]);
			if (Number(cart[idx][2])*Number(cart[idx][5])>0) cartweight += Number(cart[idx][5]) * Number(cart[idx][2]);
			cartSetInnerHTML('cart_Total_'+idx, locZahl(Number(cart[idx][5]) * Number(cart[idx][4])));
			cartSetInnerHTML('cart_TotalWeight_'+idx, locZahl((Number(cart[idx][5]) * Number(cart[idx][2]))/weight_factor));
			cartSetInnerHTML('shop_cart_count_'+idx, Number(cart[idx][5]));
			if (document.forms['cart_item_'+idx]) document.forms['cart_item_'+idx].elements['pcs'].value = cart[idx][5]; //reset to stored value in cart-view
		}
	}
	cartSetInnerHTML('cartcount',cartcount);
	cartSetInnerHTML('cartval',locZahl(cartval));
	cartSetInnerHTML('cartweight',locZahl(cartweight/weight_factor));
}

function updateValues(id)  {
//	if (document.getElementById('cartprice_'+id)) {
	if (cartExists('cartprice_'+id)) {
		var cartprice =  Number(document.forms['buy_'+id].elements['baseprice'].value);
		var itemOptions = new Array();
		itemOptions[0] = new Object();
		var price = cartprice;
		var optStr = '';
		var divider = ''
		for (i=0;i<cartOptionPHs.length;i++)  {
			if (document.forms['buy_'+id].elements['options['+cartOptionPHs[i]+']']) {
				itemOptions[0][cartOptionPHs[i]] = document.forms['buy_'+id].elements['options['+cartOptionPHs[i]+']'].value.split(optDivider);
				price += Number(itemOptions[0][cartOptionPHs[i]][1]);
				optStr = optStr + divider + itemOptions[0][cartOptionPHs[i]][0].replace(/\r/,"");
				divider = ' / '
			}
		}
		cartSetInnerHTML('cartprice_'+id,locZahl(Number(price)));
		document.forms['buy_'+id].elements['price'].value = Number(price);
		document.forms['buy_'+id].elements['options'].value = optStr;
	}
}