<?php 

if (!function_exists('qp_encoding'))  {
    function qp_encoding($Message) {
        /* Taken from the php.net documentation */
        /* Build (most polpular) Extended ASCII Char/Hex MAP (characters >127 & <255) */
        for ($i=0; $i<127; $i++) {
            $CharList[$i] = "/".chr($i+128)."/";
            $HexList[$i] = "=".strtoupper(bin2hex(chr($i+128)));
        }

        /* Encode equal sign & 8-bit characters as equal signs followed by their hexadecimal values */
        $Message = str_replace("=", "=3D", $Message);
        $Message = preg_replace($CharList, $HexList, $Message);

        /* Lines longer than 76 characters (size limit for quoted-printable Content-Transfer-Encoding)
            will be cut after character 75 and an equals sign is appended to these lines. */ 
        $MessageLines = split("\n", $Message);
        $Message_qp = "";
        while(list(, $Line) = each($MessageLines)) {
            if (strlen($Line) > 75) {
                $Pointer = 0;        
                while ($Pointer <= strlen($Line)) {
                    $Offset = 0;
                    if (preg_match("/^=(3D|([8-9A-F]{1}[0-9A-F]{1}))$/", substr($Line, ($Pointer+73), 3))) $Offset=-2;
                    if (preg_match("/^=(3D|([8-9A-F]{1}[0-9A-F]{1}))$/", substr($Line, ($Pointer+74), 3))) $Offset=-1;
                    $Message_qp.= substr($Line, $Pointer, (75+$Offset))."=\n";
                    if ((strlen($Line) - ($Pointer+75)) <= 75) {                
                        $Message_qp.= substr($Line, ($Pointer+75+$Offset))."\n";
                        break 1;
                    }
                    $Pointer+= 75+$Offset;
                }
            } else {
                $Message_qp.= $Line."\n";
            }
        }
        return ereg_replace(chr(13),"",$Message_qp);
    }
}

    $to = $mailer['to'];
    $from = $mailer['from'];
    $confirm = $mailer['confirm'];
    $special_header = $mailer['special_header'];

    $stringArticleData = getCartHtmlText($mailer['cartArticle']);
    $cart_replace[] = '### CART_article_data ###'; $cart_with[] = $_REQUEST['content']['Article-Data (html)']['html'];
    $cart_replace[] = '### CART_customer_data ###'; $cart_with[] = $_REQUEST['content']['Customer-Data (html)']['html'];
    $html_content = str_replace($cart_replace,$cart_with,$stringArticleData['html']);

    $boundary =		strtoupper(md5(uniqid(time()))); 
    $alt_boundary = strtoupper(md5(uniqid(time()+11111))); 

    $header = "FROM: ".$from."\n";
    $header .= "Reply-To: ".$from."\n"; 
    $header .= "X-Mailer: PHP/" . phpversion(). "\n";          
    $header .= "X-Sender-IP: ".$_SERVER['REMOTE_ADDR']."\n"; 
    if ($special_header) $header .= $special_header."\n"; 
    $header .= "MIME-Version: 1.0\n"; 
    $header .= "Content-Type: multipart/related;\n"; 
    $header .= "	type=\"multipart/alternative\";\n";
    $header .= "	boundary=\"------" . $boundary . "\"\n"; 
    if ($activeModules['cart']['css_sheet'] != '')  {
        $style = fopen($activeModules['cart']['css_sheet'], "r");
        $stylestring = fread($style, filesize($activeModules['cart']['css_sheet']));
    }

    $mime_lead_in .= "This is a multi-part message in MIME format.\n";
    $mime_lead_in .= "\n--------$boundary\n";

    $mime_lead_in .= "Content-Type: multipart/alternative;\n";
    $mime_lead_in .= "	boundary=\"------".$alt_boundary."\"\n\n"; 
    $mime_lead_in .= "--------$alt_boundary\n";

    $html_lead_in = "Content-Type: text/html;\n";
    $html_lead_in .= "	charset=\"iso-8859-1\"\n";
    $html_lead_in .= "Content-Transfer-Encoding: quoted-printable\n\n";

    $htmlbody = "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">\n";
    $htmlbody .= "<HTML><HEAD>\n";
    $htmlbody .= "<STYLE>\n";

    $htmlbody .= $stylestring;

    $htmlbody .= "</STYLE>\n";
    $htmlbody .= "</HEAD>\n";
    $htmlbody .= "<BODY topmargin=\"0\" leftmargin=\"0\">\n";
    $htmlbody .= $html_content;
    $htmlbody .= "\n</BODY></HTML>\n\n";

    $attachbody = "--------$alt_boundary--\n\n";
    if ($activeModules['cart']['include_pics'] == 'yes')  {
        include (CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_img_add.inc.php');
    }
    $attachbody .= "\n--------$boundary--\n";

    $field_replace = array();
    $field_with = array();
    $mail_content = $mime_lead_in
            . $html_lead_in
            . qp_encoding(str_replace($field_replace, $field_with, $htmlbody))
            . $attachbody;
    $mail_header = $header;

    if (mail (
        $to, 
        $stringArticleData['keywords'], 
        $mail_content,
        $mail_header
        ) ) { 
        if ($confirm) $message[] = $confirm;
    } else {
        $message[] = __('Fehler beim Mailversand!');
    }
