<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3c / June 2012 ===

*/

if (!defined('CPO')) exit;

global $db_nr, $content, $key, $parameters, $replacement;

$_t = $content[$key]['content'];

//$replacement = $content[$key]['content'].'xyz';
if (array_key_exists('quotient', $parameters)) {
    $_t = $_t/$parameters['quotient'];
}
if (array_key_exists('percent', $parameters)) {
    $_t = round($_t*100,0)."%";
}
if (array_key_exists('number_format', $parameters)) {
    $_t = locZahl($_t);
}
// alle identifizierbar machen
if (array_key_exists('id', $parameters)) {
	$_t = '<span class="" id="cart_'.$content[$key]['name'].'_'.$db_nr.'">'.$_t.'</span>';
}
$replacement = $_t;
?>
