<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Form"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1c / June 2012 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');
$directory = basename(dirname($_SERVER['PHP_SELF'])); 

// Sprache
$translator->addTranslation('cart',CPO_BASEDIR.'mod_cart/lang');

include(CPO_BASEDIR.'mod_cart/includes/actions.inc.php');

// Seitenausgabe ********************************************************
include(CPO_BASEDIR.'mod_cart/includes/producer.inc.php');

// Header
require(CPO_BASEDIR.'_include/header.php');
echo '<script src="../mod_cart/includes/cartScripts.js" type="text/javascript"></script>'."\n";

	if (isset($_GET['customer']))  {
		$titelString = " AND titel = '".addslashes($_GET['customer'])."' ";
		$message[] = sprintf(__('These are the orders of customer <em>%s</em>. <a href="%s">Show all orders</a>.'),$_GET['customer'],'../mod_cart/orders.php');
	}

	printPageHeader(
		__('Orders'),
		__('In this view you can view the orders created by the cart module.'),
		modHelp('customers','cart'),
		true,
		'modules'
	);

require(CPO_BASEDIR."_include/message.php");

	$pagetype='index';


	$query = "SELECT rubric_id, commentary, verfallsdatum, templates_id, nr, idx, email, autor, pub_datum, titel, initial, freigabe, changer FROM " . CPO_NEWS . "  WHERE " . ( $cpoSystem['release'] ? "artikel_archiv<2 AND freigabe=" . STATE_RELEASED : "artikel_archiv<1 AND freigabe!=" . STATE_BLOCKED ) . " AND pub_datum<='" . date('Y-m-d H:i:s', time()) . "' AND verfallsdatum>='".date('Y-m-d H:i:s', time())."' AND rubric_id = '".$activeModules['cart']['orders_rubric']."' ".$titelString." ORDER BY pub_datum DESC "; 
	$db = new DB; 
	$db->query($query); 

	echo '<table class="colored" style="width: 100%">';
	echo '<thead><tr><th><span>'.__('Customers').'</span></th><th><span>'.__('Orders').'</span></th></tr></thead><tbody>';

	while($db->next_record()) { 

		echo '<tr><td>'.$db->v('titel').'</td><td>';

		$db_template      = $db->v('templates_id'); 
	//			$db_template      = $activeModules['cart']['cartrow_template']; 
		$db_nr            = $db->v('nr'); 
		$db_idx           = $db->v('idx'); 
		$db_email         = $db->v('email'); 
		$db_autor         = $db->v('autor'); 
		$db_changer       = $db->v('changer'); 
		$db_pub_datum     = $db->v('pub_datum'); 
		$db_verfallsdatum = $db->v('verfallsdatum'); 
		$db_commentary    = $db->v('commentary'); 
		$db_titel         = $db->v('titel'); 
		$db_initial       = $db->v('initial'); 
		$db_freigabe      = $db->v('freigabe'); 
		$db_rubric_id     = $db->v('rubric_id');
		$db_last_modify   = $db->v('last_modify');
		if ($GLOBALS['lastUpdated']<strtotime($db_last_modify)) {
			$GLOBALS['lastUpdated'] = strtotime($db_last_modify);
		}
		require(CPO_BASEDIR.'_include/select_template.php'); 

		echo '</td></tr>';
	} 
	echo '</tbody></table>';

printf('<a href="'.BASE_REL.'_admin/index.php?navigation=%d:%d" target="_top">%s</a>',
	0,
	$activeModules['cart']['orders_rubric'],
	'<img src="'.SKIN_URL.'pic_edit.gif" class="pic" '
	.'alt="'  .___('Edit orders').'" '
	.'title="'.___('Edit orders').'" />'
);
echo '<a href="'.BASE_REL.'_admin/index.php?navigation=0:'.$activeModules['cart']['orders_rubric'].'" target="_top">'.__('Edit orders').' &raquo;&raquo;</a>';

// ==== footer =====
include(CPO_BASEDIR.'_include/footer.php');

?>